CreatePingMonitorDetails

class oci.healthchecks.models.CreatePingMonitorDetails(**kwargs)

Bases: object

The request body used to create a Ping monitor.

Attributes:

PROTOCOL_ICMP

A constant which can be used with the protocol property of a CreatePingMonitorDetails.

PROTOCOL_TCP

A constant which can be used with the protocol property of a CreatePingMonitorDetails.

compartment_id

[Required] Gets the compartment_id of this CreatePingMonitorDetails.

defined_tags

Gets the defined_tags of this CreatePingMonitorDetails.

display_name

[Required] Gets the display_name of this CreatePingMonitorDetails.

freeform_tags

Gets the freeform_tags of this CreatePingMonitorDetails.

interval_in_seconds

[Required] Gets the interval_in_seconds of this CreatePingMonitorDetails.

is_enabled

Gets the is_enabled of this CreatePingMonitorDetails.

port

Gets the port of this CreatePingMonitorDetails.

protocol

[Required] Gets the protocol of this CreatePingMonitorDetails.

targets

[Required] Gets the targets of this CreatePingMonitorDetails.

timeout_in_seconds

Gets the timeout_in_seconds of this CreatePingMonitorDetails.

vantage_point_names

Gets the vantage_point_names of this CreatePingMonitorDetails.

Methods:

__init__(**kwargs)

Initializes a new CreatePingMonitorDetails object with values from keyword arguments.

PROTOCOL_ICMP = 'ICMP'

A constant which can be used with the protocol property of a CreatePingMonitorDetails. This constant has a value of “ICMP”

PROTOCOL_TCP = 'TCP'

A constant which can be used with the protocol property of a CreatePingMonitorDetails. This constant has a value of “TCP”

__init__(**kwargs)

Initializes a new CreatePingMonitorDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • compartment_id (str) – The value to assign to the compartment_id property of this CreatePingMonitorDetails.

  • targets (list[str]) – The value to assign to the targets property of this CreatePingMonitorDetails.

  • vantage_point_names (list[str]) – The value to assign to the vantage_point_names property of this CreatePingMonitorDetails.

  • port (int) – The value to assign to the port property of this CreatePingMonitorDetails.

  • timeout_in_seconds (int) – The value to assign to the timeout_in_seconds property of this CreatePingMonitorDetails.

  • protocol (str) – The value to assign to the protocol property of this CreatePingMonitorDetails. Allowed values for this property are: “ICMP”, “TCP”

  • display_name (str) – The value to assign to the display_name property of this CreatePingMonitorDetails.

  • interval_in_seconds (int) – The value to assign to the interval_in_seconds property of this CreatePingMonitorDetails.

  • is_enabled (bool) – The value to assign to the is_enabled property of this CreatePingMonitorDetails.

  • freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this CreatePingMonitorDetails.

  • defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this CreatePingMonitorDetails.

property compartment_id

[Required] Gets the compartment_id of this CreatePingMonitorDetails. The OCID of the compartment.

Returns

The compartment_id of this CreatePingMonitorDetails.

Return type

str

property defined_tags

Gets the defined_tags of this CreatePingMonitorDetails. Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {“Operations”: {“CostCenter”: “42”}}

Returns

The defined_tags of this CreatePingMonitorDetails.

Return type

dict(str, dict(str, object))

property display_name

[Required] Gets the display_name of this CreatePingMonitorDetails. A user-friendly and mutable name suitable for display in a user interface.

Returns

The display_name of this CreatePingMonitorDetails.

Return type

str

property freeform_tags

Gets the freeform_tags of this CreatePingMonitorDetails. Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {“Department”: “Finance”}

Returns

The freeform_tags of this CreatePingMonitorDetails.

Return type

dict(str, str)

property interval_in_seconds

[Required] Gets the interval_in_seconds of this CreatePingMonitorDetails. The monitor interval in seconds. Valid values: 10, 30, and 60.

Returns

The interval_in_seconds of this CreatePingMonitorDetails.

Return type

int

property is_enabled

Gets the is_enabled of this CreatePingMonitorDetails. Enables or disables the monitor. Set to ‘true’ to launch monitoring.

Returns

The is_enabled of this CreatePingMonitorDetails.

Return type

bool

property port

Gets the port of this CreatePingMonitorDetails. The port on which to probe endpoints. If unspecified, probes will use the default port of their protocol.

Returns

The port of this CreatePingMonitorDetails.

Return type

int

property protocol

[Required] Gets the protocol of this CreatePingMonitorDetails. Allowed values for this property are: “ICMP”, “TCP”

Returns

The protocol of this CreatePingMonitorDetails.

Return type

str

property targets

[Required] Gets the targets of this CreatePingMonitorDetails. A list of targets (hostnames or IP addresses) of the probe.

Returns

The targets of this CreatePingMonitorDetails.

Return type

list[str]

property timeout_in_seconds

Gets the timeout_in_seconds of this CreatePingMonitorDetails. The probe timeout in seconds. Valid values: 10, 20, 30, and 60. The probe timeout must be less than or equal to intervalInSeconds for monitors.

Returns

The timeout_in_seconds of this CreatePingMonitorDetails.

Return type

int

property vantage_point_names

Gets the vantage_point_names of this CreatePingMonitorDetails. A list of names of vantage points from which to execute the probe.

Returns

The vantage_point_names of this CreatePingMonitorDetails.

Return type

list[str]